Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000139Core InformAssertions and creationspublic2010-06-28 14:482010-10-28 00:30
ReporterRon Newcomb 
Assigned Tograham 
PrioritynormalSeveritymildReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSWindowsOS VersionXP
Product Version6E59 
Target VersionFixed in Version6F95 
Summary0000139: I7 initialization of "translates to I6" variable silently fails.
DescriptionThe below code sample prints Foo as 0 instead of 5.

If I7 cannot initialize variables that are exposed to I6, then a problem message suggesting initialization from 'when play begins' would be nice.
Minimal Source Text To Reproduce
spot is room.

Include (- Global foobar; -) after "Definitions.i6t".

Foo is a number that varies.
The foo variable translates into I6 as "foobar".
Foo is usually 5.

when play begins, say "Foo is [foo]."

TagsNo tags attached.
Effect(mild) Compiler accepts invalid code
Attached Files

- Relationships

-  Notes
(0000169)
EmacsUser (manager)
2010-06-28 16:02

Confirmed. The I7 initializer has no effect on the emitted I6.
(0000497)
graham (administrator)
2010-09-03 12:21

It's a moot point whether this code is incorrect or simply misguided, but I've added a helpful problem message to cover it.

- Issue History
Date Modified Username Field Change
2010-06-28 14:48 Ron Newcomb New Issue
2010-06-28 15:47 jmcgrew Status new => acknowledged
2010-06-28 16:02 EmacsUser Note Added: 0000169
2010-06-28 16:02 EmacsUser Status acknowledged => confirmed
2010-09-03 12:21 graham Note Added: 0000497
2010-09-03 12:21 graham Status confirmed => resolved
2010-09-03 12:21 graham Resolution open => fixed
2010-09-03 12:21 graham Assigned To => graham
2010-10-25 21:14 jmcgrew Fixed in Version => 6F95
2010-10-28 00:30 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker